Skip to main content
POST
/
v4
/
core
/
companies
/
{companyId}
/
contacts
Create a contact
curl --request POST \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/contacts \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "data": {
    "platform_id": "string",
    "name": "string",
    "contact_name": "string",
    "email": "string",
    "phone": "string",
    "tax_number": "string",
    "type": "CUSTOMER",
    "status": "ACTIVE",
    "currency_id": "AED",
    "registration_number": "string",
    "website": "string",
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z",
    "addresses": [
      {
        "platform_id": "string",
        "parent_id": "string",
        "parent_type": "ACCOUNT",
        "type": "SHIPPING",
        "street": "string",
        "street2": "string",
        "locality": "string",
        "city": "string",
        "state": "string",
        "postal_code": "string",
        "country": "string"
      }
    ],
    "phone_numbers": [
      {
        "platform_id": "string",
        "parent_id": "string",
        "parent_type": "ACCOUNT",
        "number": "string",
        "type": "MOBILE"
      }
    ],
    "external_links": [
      {
        "platform_id": "string",
        "parent_id": "string",
        "parent_type": "ACCOUNT",
        "link": "string",
        "type": "WEBSITE"
      }
    ]
  }
}
'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/contacts"

payload = { "data": {
"platform_id": "string",
"name": "string",
"contact_name": "string",
"email": "string",
"phone": "string",
"tax_number": "string",
"type": "CUSTOMER",
"status": "ACTIVE",
"currency_id": "AED",
"registration_number": "string",
"website": "string",
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T00:00:00Z",
"addresses": [
{
"platform_id": "string",
"parent_id": "string",
"parent_type": "ACCOUNT",
"type": "SHIPPING",
"street": "string",
"street2": "string",
"locality": "string",
"city": "string",
"state": "string",
"postal_code": "string",
"country": "string"
}
],
"phone_numbers": [
{
"platform_id": "string",
"parent_id": "string",
"parent_type": "ACCOUNT",
"number": "string",
"type": "MOBILE"
}
],
"external_links": [
{
"platform_id": "string",
"parent_id": "string",
"parent_type": "ACCOUNT",
"link": "string",
"type": "WEBSITE"
}
]
} }
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
platform_id: 'string',
name: 'string',
contact_name: 'string',
email: 'string',
phone: 'string',
tax_number: 'string',
type: 'CUSTOMER',
status: 'ACTIVE',
currency_id: 'AED',
registration_number: 'string',
website: 'string',
created_at: '2024-01-01T00:00:00Z',
updated_at: '2024-01-01T00:00:00Z',
addresses: [
{
platform_id: 'string',
parent_id: 'string',
parent_type: 'ACCOUNT',
type: 'SHIPPING',
street: 'string',
street2: 'string',
locality: 'string',
city: 'string',
state: 'string',
postal_code: 'string',
country: 'string'
}
],
phone_numbers: [
{
platform_id: 'string',
parent_id: 'string',
parent_type: 'ACCOUNT',
number: 'string',
type: 'MOBILE'
}
],
external_links: [
{
platform_id: 'string',
parent_id: 'string',
parent_type: 'ACCOUNT',
link: 'string',
type: 'WEBSITE'
}
]
}
})
};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "sync_id": "<string>",
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "platform_id": "<string>",
      "name": "<string>",
      "contact_name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "tax_number": "<string>",
      "registration_number": "<string>",
      "website": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "addresses": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "street": "<string>",
          "street2": "<string>",
          "locality": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal_code": "<string>",
          "country": "<string>"
        }
      ],
      "phone_numbers": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "number": "<string>"
        }
      ],
      "external_links": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "link": "<string>"
        }
      ]
    }
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

run_async
boolean

Process the write asynchronously. Required when data is an array (batch write).

Body

application/json
data
object
required

Response

201 - application/json

The created contacts record (sync) or a sync id (async).

data
object
required
request_id
string
required